%define xorg_ver %(pkg-config xorg-server --modversion|cut -d. -f1-2)
Name:          xorg-drv-input-wacom
Version:       0.39.0
Release:       2mamba
Summary:       X.Org input driver for Wacom tablets
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://github.com/linuxwacom/xf86-input-wacom.git/xf86-input-wacom-%{version}/xf86-input-wacom-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libbsd-devel
BuildRequires: libudev-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-server-devel >= 21.1.3-1mamba
Provides:      xorgdrvinput
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255

%description
X.Org input driver for Wacom tablets.

%package devel
Summary:       Header files for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains header files need for development.

%prep
%setup -q -n xf86-input-wacom-%{version}

%build
./autogen.sh

%configure \
   --with-systemd-unit-dir=%{_unitdir} \
   --with-udev-rules-dir=%{_udevrulesdir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/isdv4-serial-debugger
%{_bindir}/xsetwacom
%{_bindir}/isdv4-serial-inputattach
%{_unitdir}/wacom-inputattach@.service
%{_udevrulesdir}/wacom.rules
%{_libdir}/xorg/modules/input/wacom_drv.so
%{_datadir}/X11/xorg.conf.d/70-wacom.conf
%{_mandir}/man1/xsetwacom.1*
%{_mandir}/man4/wacom.4*
%doc AUTHORS GPL

%files devel
%defattr(-,root,root)
%{_includedir}/xorg/*.h
%{_libdir}/pkgconfig/xorg-wacom.pc
%{_libdir}/xorg/modules/input/wacom_drv.la
#%doc ChangeLog README

%changelog
* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 0.39.0-2mamba
- rebuilt by autoport with build requirements: xorg-server-devel>=21.1.3-1mamba

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 0.39.0-1mamba
- automatic version update by autodist

* Tue Oct 29 2019 Automatic Build System <autodist@mambasoft.it> 0.38.0-1mamba
- automatic version update by autodist

* Tue Jun 25 2019 Automatic Build System <autodist@mambasoft.it> 0.37.0-1mamba
- automatic version update by autodist

* Sun Mar 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.36.1-2mamba
- rebuilt with xorg-server 1.20.4

* Thu Sep 13 2018 Automatic Build System <autodist@mambasoft.it> 0.36.1-1mamba
- automatic version update by autodist

* Fri Jan 26 2018 Automatic Build System <autodist@mambasoft.it> 0.36.0-1mamba
- automatic version update by autodist

* Fri Dec 08 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.35.0-2mamba
- rebuilt with xorg-server 1.19.5

* Sun Aug 13 2017 Automatic Build System <autodist@mambasoft.it> 0.35.0-1mamba
- automatic version update by autodist

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 0.34.2-1mamba
- automatic version update by autodist

* Thu Jan 12 2017 Automatic Build System <autodist@mambasoft.it> 0.34.0-1mamba
- automatic version update by autodist

* Sat Jun 04 2016 Automatic Build System <autodist@mambasoft.it> 0.33.0-1mamba
- automatic version update by autodist

* Fri Jan 15 2016 Automatic Build System <autodist@mambasoft.it> 0.32.0-1mamba
- automatic version update by autodist

* Wed Dec 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.0-2mamba
- fix systemd and udev installation dirs

* Sun Sep 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.0-1mamba
- update to 0.31.0
- built with xorg-server 1.17.2

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 0.16.0-3mamba
- X.org 1.15 rebuild

* Tue Mar 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.0-2mamba
- xorg-server 1.12 mass rebuild

* Tue Aug 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.0-1mamba
- package created

